//------------------------------------------------------------------------------------
// irr::gui::IGUITab wrappers
// do not delete a pointer to this
//------------------------------------------------------------------------------------

extern "C" {

	s32 IrrGUI_IGUITab_getNumber(IGUITab* tab)
	{
		if (tab)
			return tab->getNumber();
		else return 0;
	}

	void IrrGUI_IGUITab_setBackgroundColor(IGUITab* tab, SColor* c)
	{
		if (tab)
			tab->setBackgroundColor(*c);
	}

	void IrrGUI_IGUITab_setDrawBackground(IGUITab* tab,bool draw=true)
	{
		if (tab)
			tab->setDrawBackground(draw);
	}

	bool IrrGUI_IGUITab_isDrawingBackground(IGUITab* tab)
	{
		if (tab)
			return tab->isDrawingBackground();
		else return false;
	}

	// must delete
	SColor* IrrGUI_IGUITab_getBackgroundColor(IGUITab* tab)
	{
		if (tab) {
			SColor* color = new SColor();
			*color = tab->getBackgroundColor();
			return color;
		} else return 0;
	}
	
	void IrrGUI_IGUITab_setTextColor(IGUITab* tab, SColor* c)
	{
		if (tab)
			tab->setTextColor(*c);
	}

	// must delete
	SColor* IrrGUI_IGUITab_getTextColor(IGUITab* tab)
	{
		if (tab)
			return new SColor(tab->getTextColor());
		else return 0;
	}
	
}
